Query RC
====


## If mongo deployed with operator

```
export fqdn=chat-example-org
k get secret $fqdn-app -o yaml | grep "MONGO_URL:" | cut -d" " -f4 | base64 -d
k exec -it $fqdn-rs0-2 bash
mongo --host= # line exported from secret
use rocketchat
```

## If not

```
mongo --username $MONGO_INITDB_ROOT_USERNAME --password $MONGO_INITDB_ROOT_PASSWORD --authenticationDatabase admin
```

or

```
mongo --username $MONGODB_CLUSTER_ADMIN_USER --password $MONGODB_CLUSTER_ADMIN_PASSWORD --authenticationDatabase admin
```

# Query


```
db.users.count({   "lastLogin" : {      $lt: new Date(),      $gte: new Date(new Date().setDate(new Date().getDate()-30))   }    })

db.users.count({   "lastLogin" : {      $lt: new Date(),      $gte: new Date(new Date().setDate(new Date().getDate()-360))   }    })

db.users.count({   "active": true })
```

# Users without oauth login:


```
db.users.find({ "services.indiehost": { $exists: false } } )
```

# Find user by email

```
db.users.find({ "emails.address": email@test.com" } )
```

# Delete a team created with the API

If for instance, you created a team with the API, with a space, which is illegal, you won't be able to delete it in the UI, so you can delete it from the db:

```
db.rocketchat_team.remove({name:"NAME"})
```

# Exception while logging in:

https://forums.rocket.chat/t/exception-while-invoking-method-login-mongoerror/11199
